Subject: Re: [mile] JSON data format

From: "Takeshi Takahashi" <[email-masked]>
Date: Wed, 5 Aug 2015 15:33:50 +0900

> With that in mind, would the JSON version of IODEF be useful with
> translations available?

+1.
I fully agree.

Related to this issue, I have received several voices in Japan after
IETF 93 that ask the JSON-based IODEF.
I would like to support these activities.

Thanks,
Take

2015-07-24 16:46 GMT+09:00 Kathleen Moriarty
<[email-masked]>:
> Good discussion, thanks for the offer Tomas!
>
> On Thu, Jul 23, 2015 at 5:41 PM, Teague, Nik <[email-masked]> wrote:
>>
>> On 23/07/2015 20:02, "mile on behalf of Panos Kampanakis (pkampana)"
>> <[email-masked] on behalf of [email-masked]> wrote:
>>
>> >Actually that has been a question for many XML based formats. How XML is
>> >not very flexible and how other languages like JSON are better. There
has
>> >been work in the STIX community (that uses XML also) to create JSON
>> >conversions. I think mappings between IODEF XML to JSON would also be
>> >beneficial.
>>
>> I wouldn't like to say that anything is better or less flexible. I think
>> its an eye of the beholder sort of thing.
>>
>> I personally find XML difficult because I find JSON more efficient and
>> readable but there are many who disagree.  For me to do something in JSON
>> takes a fraction of the effort that XML does but others have their
>> opinions and preferences that may disagree and just as we have many
>> differing views on coding/scripting, we have just as many data formats.
>> For me, and again its personal preference, I find REST and JSON just
>> easier to deal with.  My preferences/prejudices are based upon my
>> experience as a network engineer using Python etc. where JSON is very
easy
>> to consume and parse.
>>
>> I think Kathleen summed it up in the recent meeting and I'm paraphrasing
>> where it comes down to 'what is most likely to get used?'.  So, to that
>> end, I'd be more inclined to use, and there would be fewer initial
>> barriers (for me) to using JSON representations over XML.
>
>
> With that in mind, would the JSON version of IODEF be useful with
> translations available?  I'm thinking the JSON version might wind up as
the
> primary if done quickly along with the current version of IODEF.
> Translations may be more from JSON to legacy XML.  I'm not sure there are
> too many IODEFv2 implementations yet, so if it is the best chance for
> increased deployment, does a change make sense?
>
> We already have a few places where IODEFv1 and IODEFv2 are not compatible.
> Or is this community largely XML users (which may be the case)?  If it is
> all automated, incident responders should never see one or the other.
>
>
> Thanks,
> Kathleen
>
>>
>>
>> Thanks,
>>
>> -Nik
>>
>> _______________________________________________
>> mile mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/mile
>
>
>
>
> --
>
> Best regards,
> Kathleen
>
> _______________________________________________
> mile mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mile
>